| OpenCV 3.4.7 Open Source Computer Vision

Classes | Functions
Functions
Core functionality » Hardware Acceleration Layer

## Classes
struct | cv::hal::DCT2D
struct | cv::hal::DFT1D
struct | cv::hal::DFT2D

## Functions
void | cv::hal::absdiff16s (const short *src1, size_t step1, const short *src2, size_t step2, short *dst, size_t step, int width, int height, void *)
void | cv::hal::absdiff16u (const ushort *src1, size_t step1, const ushort *src2, size_t step2, ushort *dst, size_t step, int width, int height, void *)
void | cv::hal::absdiff32f (const float *src1, size_t step1, const float *src2, size_t step2, float *dst, size_t step, int width, int height, void *)
void | cv::hal::absdiff32s (const int *src1, size_t step1, const int *src2, size_t step2, int *dst, size_t step, int width, int height, void *)
void | cv::hal::absdiff64f (const double *src1, size_t step1, const double *src2, size_t step2, double *dst, size_t step, int width, int height, void *)
void | cv::hal::absdiff8s (const schar *src1, size_t step1, const schar *src2, size_t step2, schar *dst, size_t step, int width, int height, void *)
void | cv::hal::absdiff8u (const uchar *src1, size_t step1, const uchar *src2, size_t step2, uchar *dst, size_t step, int width, int height, void *)
void | cv::hal::add16s (const short *src1, size_t step1, const short *src2, size_t step2, short *dst, size_t step, int width, int height, void *)
void | cv::hal::add16u (const ushort *src1, size_t step1, const ushort *src2, size_t step2, ushort *dst, size_t step, int width, int height, void *)
void | cv::hal::add32f (const float *src1, size_t step1, const float *src2, size_t step2, float *dst, size_t step, int width, int height, void *)
void | cv::hal::add32s (const int *src1, size_t step1, const int *src2, size_t step2, int *dst, size_t step, int width, int height, void *)
void | cv::hal::add64f (const double *src1, size_t step1, const double *src2, size_t step2, double *dst, size_t step, int width, int height, void *)
void | cv::hal::add8s (const schar *src1, size_t step1, const schar *src2, size_t step2, schar *dst, size_t step, int width, int height, void *)
void | cv::hal::add8u (const uchar *src1, size_t step1, const uchar *src2, size_t step2, uchar *dst, size_t step, int width, int height, void *)
void | cv::hal::addWeighted16s (const short *src1, size_t step1, const short *src2, size_t step2, short *dst, size_t step, int width, int height, void *scalars)
void | cv::hal::addWeighted16u (const ushort *src1, size_t step1, const ushort *src2, size_t step2, ushort *dst, size_t step, int width, int height, void *scalars)
void | cv::hal::addWeighted32f (const float *src1, size_t step1, const float *src2, size_t step2, float *dst, size_t step, int width, int height, void *scalars)
void | cv::hal::addWeighted32s (const int *src1, size_t step1, const int *src2, size_t step2, int *dst, size_t step, int width, int height, void *scalars)
void | cv::hal::addWeighted64f (const double *src1, size_t step1, const double *src2, size_t step2, double *dst, size_t step, int width, int height, void *scalars)
void | cv::hal::addWeighted8s (const schar *src1, size_t step1, const schar *src2, size_t step2, schar *dst, size_t step, int width, int height, void *scalars)
void | cv::hal::addWeighted8u (const uchar *src1, size_t step1, const uchar *src2, size_t step2, uchar *dst, size_t step, int width, int height, void *_scalars)
void | cv::hal::and8u (const uchar *src1, size_t step1, const uchar *src2, size_t step2, uchar *dst, size_t step, int width, int height, void *)
bool | cv::hal::Cholesky32f (float *A, size_t astep, int m, float *b, size_t bstep, int n)
bool | cv::hal::Cholesky64f (double *A, size_t astep, int m, double *b, size_t bstep, int n)
void | cv::hal::cmp16s (const short *src1, size_t step1, const short *src2, size_t step2, uchar *dst, size_t step, int width, int height, void *_cmpop)
void | cv::hal::cmp16u (const ushort *src1, size_t step1, const ushort *src2, size_t step2, uchar *dst, size_t step, int width, int height, void *_cmpop)
void | cv::hal::cmp32f (const float *src1, size_t step1, const float *src2, size_t step2, uchar *dst, size_t step, int width, int height, void *_cmpop)
void | cv::hal::cmp32s (const int *src1, size_t step1, const int *src2, size_t step2, uchar *dst, size_t step, int width, int height, void *_cmpop)
void | cv::hal::cmp64f (const double *src1, size_t step1, const double *src2, size_t step2, uchar *dst, size_t step, int width, int height, void *_cmpop)
void | cv::hal::cmp8s (const schar *src1, size_t step1, const schar *src2, size_t step2, uchar *dst, size_t step, int width, int height, void *_cmpop)
void | cv::hal::cmp8u (const uchar *src1, size_t step1, const uchar *src2, size_t step2, uchar *dst, size_t step, int width, int height, void *_cmpop)
void | cv::hal::div16s (const short *src1, size_t step1, const short *src2, size_t step2, short *dst, size_t step, int width, int height, void *scale)
void | cv::hal::div16u (const ushort *src1, size_t step1, const ushort *src2, size_t step2, ushort *dst, size_t step, int width, int height, void *scale)
void | cv::hal::div32f (const float *src1, size_t step1, const float *src2, size_t step2, float *dst, size_t step, int width, int height, void *scale)
void | cv::hal::div32s (const int *src1, size_t step1, const int *src2, size_t step2, int *dst, size_t step, int width, int height, void *scale)
void | cv::hal::div64f (const double *src1, size_t step1, const double *src2, size_t step2, double *dst, size_t step, int width, int height, void *scale)
void | cv::hal::div8s (const schar *src1, size_t step1, const schar *src2, size_t step2, schar *dst, size_t step, int width, int height, void *scale)
void | cv::hal::div8u (const uchar *src1, size_t step1, const uchar *src2, size_t step2, uchar *dst, size_t step, int width, int height, void *scale)
void | cv::hal::exp32f (const float *src, float *dst, int n)
void | cv::hal::exp64f (const double *src, double *dst, int n)
void | cv::hal::fastAtan32f (const float *y, const float *x, float *dst, int n, bool angleInDegrees)
void | cv::hal::fastAtan64f (const double *y, const double *x, double *dst, int n, bool angleInDegrees)
void | cv::hal::gemm32f (const float *src1, size_t src1_step, const float *src2, size_t src2_step, float alpha, const float *src3, size_t src3_step, float beta, float *dst, size_t dst_step, int m_a, int n_a, int n_d, int flags)
void | cv::hal::gemm32fc (const float *src1, size_t src1_step, const float *src2, size_t src2_step, float alpha, const float *src3, size_t src3_step, float beta, float *dst, size_t dst_step, int m_a, int n_a, int n_d, int flags)
void | cv::hal::gemm64f (const double *src1, size_t src1_step, const double *src2, size_t src2_step, double alpha, const double *src3, size_t src3_step, double beta, double *dst, size_t dst_step, int m_a, int n_a, int n_d, int flags)
void | cv::hal::gemm64fc (const double *src1, size_t src1_step, const double *src2, size_t src2_step, double alpha, const double *src3, size_t src3_step, double beta, double *dst, size_t dst_step, int m_a, int n_a, int n_d, int flags)
void | cv::hal::invSqrt32f (const float *src, float *dst, int len)
void | cv::hal::invSqrt64f (const double *src, double *dst, int len)
void | cv::hal::log32f (const float *src, float *dst, int n)
void | cv::hal::log64f (const double *src, double *dst, int n)
int | cv::hal::LU32f (float *A, size_t astep, int m, float *b, size_t bstep, int n)
int | cv::hal::LU64f (double *A, size_t astep, int m, double *b, size_t bstep, int n)
void | cv::hal::magnitude32f (const float *x, const float *y, float *dst, int n)
void | cv::hal::magnitude64f (const double *x, const double *y, double *dst, int n)
void | cv::hal::max16s (const short *src1, size_t step1, const short *src2, size_t step2, short *dst, size_t step, int width, int height, void *)
void | cv::hal::max16u (const ushort *src1, size_t step1, const ushort *src2, size_t step2, ushort *dst, size_t step, int width, int height, void *)
void | cv::hal::max32f (const float *src1, size_t step1, const float *src2, size_t step2, float *dst, size_t step, int width, int height, void *)
void | cv::hal::max32s (const int *src1, size_t step1, const int *src2, size_t step2, int *dst, size_t step, int width, int height, void *)
void | cv::hal::max64f (const double *src1, size_t step1, const double *src2, size_t step2, double *dst, size_t step, int width, int height, void *)
void | cv::hal::max8s (const schar *src1, size_t step1, const schar *src2, size_t step2, schar *dst, size_t step, int width, int height, void *)
void | cv::hal::max8u (const uchar *src1, size_t step1, const uchar *src2, size_t step2, uchar *dst, size_t step, int width, int height, void *)
void | cv::hal::merge16u (const ushort **src, ushort *dst, int len, int cn)
void | cv::hal::merge32s (const int **src, int *dst, int len, int cn)
void | cv::hal::merge64s (const int64 **src, int64 *dst, int len, int cn)
void | cv::hal::merge8u (const uchar **src, uchar *dst, int len, int cn)
void | cv::hal::min16s (const short *src1, size_t step1, const short *src2, size_t step2, short *dst, size_t step, int width, int height, void *)
void | cv::hal::min16u (const ushort *src1, size_t step1, const ushort *src2, size_t step2, ushort *dst, size_t step, int width, int height, void *)
void | cv::hal::min32f (const float *src1, size_t step1, const float *src2, size_t step2, float *dst, size_t step, int width, int height, void *)
void | cv::hal::min32s (const int *src1, size_t step1, const int *src2, size_t step2, int *dst, size_t step, int width, int height, void *)
void | cv::hal::min64f (const double *src1, size_t step1, const double *src2, size_t step2, double *dst, size_t step, int width, int height, void *)
void | cv::hal::min8s (const schar *src1, size_t step1, const schar *src2, size_t step2, schar *dst, size_t step, int width, int height, void *)
void | cv::hal::min8u (const uchar *src1, size_t step1, const uchar *src2, size_t step2, uchar *dst, size_t step, int width, int height, void *)
void | cv::hal::mul16s (const short *src1, size_t step1, const short *src2, size_t step2, short *dst, size_t step, int width, int height, void *scale)
void | cv::hal::mul16u (const ushort *src1, size_t step1, const ushort *src2, size_t step2, ushort *dst, size_t step, int width, int height, void *scale)
void | cv::hal::mul32f (const float *src1, size_t step1, const float *src2, size_t step2, float *dst, size_t step, int width, int height, void *scale)
void | cv::hal::mul32s (const int *src1, size_t step1, const int *src2, size_t step2, int *dst, size_t step, int width, int height, void *scale)
void | cv::hal::mul64f (const double *src1, size_t step1, const double *src2, size_t step2, double *dst, size_t step, int width, int height, void *scale)
void | cv::hal::mul8s (const schar *src1, size_t step1, const schar *src2, size_t step2, schar *dst, size_t step, int width, int height, void *scale)
void | cv::hal::mul8u (const uchar *src1, size_t step1, const uchar *src2, size_t step2, uchar *dst, size_t step, int width, int height, void *scale)
int | cv::hal::normHamming (const uchar *a, int n)
int | cv::hal::normHamming (const uchar *a, const uchar *b, int n)
int | cv::hal::normHamming (const uchar *a, int n, int cellSize)
int | cv::hal::normHamming (const uchar *a, const uchar *b, int n, int cellSize)
int | cv::hal::normL1_ (const uchar *a, const uchar *b, int n)
float | cv::hal::normL1_ (const float *a, const float *b, int n)
float | cv::hal::normL2Sqr_ (const float *a, const float *b, int n)
void | cv::hal::not8u (const uchar *src1, size_t step1, const uchar *src2, size_t step2, uchar *dst, size_t step, int width, int height, void *)
void | cv::hal::or8u (const uchar *src1, size_t step1, const uchar *src2, size_t step2, uchar *dst, size_t step, int width, int height, void *)
int | cv::hal::QR32f (float *A, size_t astep, int m, int n, int k, float *b, size_t bstep, float *hFactors)
int | cv::hal::QR64f (double *A, size_t astep, int m, int n, int k, double *b, size_t bstep, double *hFactors)
void | cv::hal::recip16s (const short *, size_t, const short *src2, size_t step2, short *dst, size_t step, int width, int height, void *scale)
void | cv::hal::recip16u (const ushort *, size_t, const ushort *src2, size_t step2, ushort *dst, size_t step, int width, int height, void *scale)
void | cv::hal::recip32f (const float *, size_t, const float *src2, size_t step2, float *dst, size_t step, int width, int height, void *scale)
void | cv::hal::recip32s (const int *, size_t, const int *src2, size_t step2, int *dst, size_t step, int width, int height, void *scale)
void | cv::hal::recip64f (const double *, size_t, const double *src2, size_t step2, double *dst, size_t step, int width, int height, void *scale)
void | cv::hal::recip8s (const schar *, size_t, const schar *src2, size_t step2, schar *dst, size_t step, int width, int height, void *scale)
void | cv::hal::recip8u (const uchar *, size_t, const uchar *src2, size_t step2, uchar *dst, size_t step, int width, int height, void *scale)
void | cv::hal::split16u (const ushort *src, ushort **dst, int len, int cn)
void | cv::hal::split32s (const int *src, int **dst, int len, int cn)
void | cv::hal::split64s (const int64 *src, int64 **dst, int len, int cn)
void | cv::hal::split8u (const uchar *src, uchar **dst, int len, int cn)
void | cv::hal::sqrt32f (const float *src, float *dst, int len)
void | cv::hal::sqrt64f (const double *src, double *dst, int len)
void | cv::hal::sub16s (const short *src1, size_t step1, const short *src2, size_t step2, short *dst, size_t step, int width, int height, void *)
void | cv::hal::sub16u (const ushort *src1, size_t step1, const ushort *src2, size_t step2, ushort *dst, size_t step, int width, int height, void *)
void | cv::hal::sub32f (const float *src1, size_t step1, const float *src2, size_t step2, float *dst, size_t step, int width, int height, void *)
void | cv::hal::sub32s (const int *src1, size_t step1, const int *src2, size_t step2, int *dst, size_t step, int width, int height, void *)
void | cv::hal::sub64f (const double *src1, size_t step1, const double *src2, size_t step2, double *dst, size_t step, int width, int height, void *)
void | cv::hal::sub8s (const schar *src1, size_t step1, const schar *src2, size_t step2, schar *dst, size_t step, int width, int height, void *)
void | cv::hal::sub8u (const uchar *src1, size_t step1, const uchar *src2, size_t step2, uchar *dst, size_t step, int width, int height, void *)
void | cv::hal::SVD32f (float *At, size_t astep, float *W, float *U, size_t ustep, float *Vt, size_t vstep, int m, int n, int flags)
void | cv::hal::SVD64f (double *At, size_t astep, double *W, double *U, size_t ustep, double *Vt, size_t vstep, int m, int n, int flags)
void | cv::hal::xor8u (const uchar *src1, size_t step1, const uchar *src2, size_t step2, uchar *dst, size_t step, int width, int height, void *)

## Detailed Description

## Function Documentation

## § absdiff16s()

void cv::hal::absdiff16s | ( | const short * | src1,
|  | size_t | step1,
|  | const short * | src2,
|  | size_t | step2,
|  | short * | dst,
|  | size_t | step,
|  | int | width,
|  | int | height,
|  | void * |
| ) |  |

`#include <opencv2/core/hal/hal.hpp>`

## § absdiff16u()

void cv::hal::absdiff16u | ( | const ushort * | src1,
|  | size_t | step1,
|  | const ushort * | src2,
|  | size_t | step2,
|  | ushort * | dst,
|  | size_t | step,
|  | int | width,
|  | int | height,
|  | void * |
| ) |  |

`#include <opencv2/core/hal/hal.hpp>`

## § absdiff32f()

void cv::hal::absdiff32f | ( | const float * | src1,
|  | size_t | step1,
|  | const float * | src2,
|  | size_t | step2,
|  | float * | dst,
|  | size_t | step,
|  | int | width,
|  | int | height,
|  | void * |
| ) |  |

`#include <opencv2/core/hal/hal.hpp>`

## § absdiff32s()

void cv::hal::absdiff32s | ( | const int * | src1,
|  | size_t | step1,
|  | const int * | src2,
|  | size_t | step2,
|  | int * | dst,
|  | size_t | step,
|  | int | width,
|  | int | height,
|  | void * |
| ) |  |

`#include <opencv2/core/hal/hal.hpp>`

## § absdiff64f()

void cv::hal::absdiff64f | ( | const double * | src1,
|  | size_t | step1,
|  | const double * | src2,
|  | size_t | step2,
|  | double * | dst,
|  | size_t | step,
|  | int | width,
|  | int | height,
|  | void * |
| ) |  |

`#include <opencv2/core/hal/hal.hpp>`

## § absdiff8s()

void cv::hal::absdiff8s | ( | const schar * | src1,
|  | size_t | step1,
|  | const schar * | src2,
|  | size_t | step2,
|  | schar * | dst,
|  | size_t | step,
|  | int | width,
|  | int | height,
|  | void * |
| ) |  |

`#include <opencv2/core/hal/hal.hpp>`

## § absdiff8u()

void cv::hal::absdiff8u | ( | const uchar * | src1,
|  | size_t | step1,
|  | const uchar * | src2,
|  | size_t | step2,
|  | uchar * | dst,
|  | size_t | step,
|  | int | width,
|  | int | height,
|  | void * |
| ) |  |

`#include <opencv2/core/hal/hal.hpp>`

## § add16s()

void cv::hal::add16s | ( | const short * | src1,
|  | size_t | step1,
|  | const short * | src2,
|  | size_t | step2,
|  | short * | dst,
|  | size_t | step,
|  | int | width,
|  | int | height,
|  | void * |
| ) |  |

`#include <opencv2/core/hal/hal.hpp>`

## § add16u()

void cv::hal::add16u | ( | const ushort * | src1,
|  | size_t | step1,
|  | const ushort * | src2,
|  | size_t | step2,
|  | ushort * | dst,
|  | size_t | step,
|  | int | width,
|  | int | height,
|  | void * |
| ) |  |

`#include <opencv2/core/hal/hal.hpp>`

## § add32f()

void cv::hal::add32f | ( | const float * | src1,
|  | size_t | step1,
|  | const float * | src2,
|  | size_t | step2,
|  | float * | dst,
|  | size_t | step,
|  | int | width,
|  | int | height,
|  | void * |
| ) |  |

`#include <opencv2/core/hal/hal.hpp>`

## § add32s()

void cv::hal::add32s | ( | const int * | src1,
|  | size_t | step1,
|  | const int * | src2,
|  | size_t | step2,
|  | int * | dst,
|  | size_t | step,
|  | int | width,
|  | int | height,
|  | void * |
| ) |  |

`#include <opencv2/core/hal/hal.hpp>`

## § add64f()

void cv::hal::add64f | ( | const double * | src1,
|  | size_t | step1,
|  | const double * | src2,
|  | size_t | step2,
|  | double * | dst,
|  | size_t | step,
|  | int | width,
|  | int | height,
|  | void * |
| ) |  |

`#include <opencv2/core/hal/hal.hpp>`

## § add8s()

void cv::hal::add8s | ( | const schar * | src1,
|  | size_t | step1,
|  | const schar * | src2,
|  | size_t | step2,
|  | schar * | dst,
|  | size_t | step,
|  | int | width,
|  | int | height,
|  | void * |
| ) |  |

`#include <opencv2/core/hal/hal.hpp>`

## § add8u()

void cv::hal::add8u | ( | const uchar * | src1,
|  | size_t | step1,
|  | const uchar * | src2,
|  | size_t | step2,
|  | uchar * | dst,
|  | size_t | step,
|  | int | width,
|  | int | height,
|  | void * |
| ) |  |

`#include <opencv2/core/hal/hal.hpp>`

## § addWeighted16s()

void cv::hal::addWeighted16s | ( | const short * | src1,
|  | size_t | step1,
|  | const short * | src2,
|  | size_t | step2,
|  | short * | dst,
|  | size_t | step,
|  | int | width,
|  | int | height,
|  | void * | scalars
| ) |  |

`#include <opencv2/core/hal/hal.hpp>`

## § addWeighted16u()

void cv::hal::addWeighted16u | ( | const ushort * | src1,
|  | size_t | step1,
|  | const ushort * | src2,
|  | size_t | step2,
|  | ushort * | dst,
|  | size_t | step,
|  | int | width,
|  | int | height,
|  | void * | scalars
| ) |  |

`#include <opencv2/core/hal/hal.hpp>`

## § addWeighted32f()

void cv::hal::addWeighted32f | ( | const float * | src1,
|  | size_t | step1,
|  | const float * | src2,
|  | size_t | step2,
|  | float * | dst,
|  | size_t | step,
|  | int | width,
|  | int | height,
|  | void * | scalars
| ) |  |

`#include <opencv2/core/hal/hal.hpp>`

## § addWeighted32s()

void cv::hal::addWeighted32s | ( | const int * | src1,
|  | size_t | step1,
|  | const int * | src2,
|  | size_t | step2,
|  | int * | dst,
|  | size_t | step,
|  | int | width,
|  | int | height,
|  | void * | scalars
| ) |  |

`#include <opencv2/core/hal/hal.hpp>`

## § addWeighted64f()

void cv::hal::addWeighted64f | ( | const double * | src1,
|  | size_t | step1,
|  | const double * | src2,
|  | size_t | step2,
|  | double * | dst,
|  | size_t | step,
|  | int | width,
|  | int | height,
|  | void * | scalars
| ) |  |

`#include <opencv2/core/hal/hal.hpp>`

## § addWeighted8s()

void cv::hal::addWeighted8s | ( | const schar * | src1,
|  | size_t | step1,
|  | const schar * | src2,
|  | size_t | step2,
|  | schar * | dst,
|  | size_t | step,
|  | int | width,
|  | int | height,
|  | void * | scalars
| ) |  |

`#include <opencv2/core/hal/hal.hpp>`

## § addWeighted8u()

void cv::hal::addWeighted8u | ( | const uchar * | src1,
|  | size_t | step1,
|  | const uchar * | src2,
|  | size_t | step2,
|  | uchar * | dst,
|  | size_t | step,
|  | int | width,
|  | int | height,
|  | void * | _scalars
| ) |  |

`#include <opencv2/core/hal/hal.hpp>`

## § and8u()

void cv::hal::and8u | ( | const uchar * | src1,
|  | size_t | step1,
|  | const uchar * | src2,
|  | size_t | step2,
|  | uchar * | dst,
|  | size_t | step,
|  | int | width,
|  | int | height,
|  | void * |
| ) |  |

`#include <opencv2/core/hal/hal.hpp>`

## § Cholesky32f()

bool cv::hal::Cholesky32f | ( | float * | A,
|  | size_t | astep,
|  | int | m,
|  | float * | b,
|  | size_t | bstep,
|  | int | n
| ) |  |

`#include <opencv2/core/hal/hal.hpp>`

## § Cholesky64f()

bool cv::hal::Cholesky64f | ( | double * | A,
|  | size_t | astep,
|  | int | m,
|  | double * | b,
|  | size_t | bstep,
|  | int | n
| ) |  |

`#include <opencv2/core/hal/hal.hpp>`

## § cmp16s()

void cv::hal::cmp16s | ( | const short * | src1,
|  | size_t | step1,
|  | const short * | src2,
|  | size_t | step2,
|  | uchar * | dst,
|  | size_t | step,
|  | int | width,
|  | int | height,
|  | void * | _cmpop
| ) |  |

`#include <opencv2/core/hal/hal.hpp>`

## § cmp16u()

void cv::hal::cmp16u | ( | const ushort * | src1,
|  | size_t | step1,
|  | const ushort * | src2,
|  | size_t | step2,
|  | uchar * | dst,
|  | size_t | step,
|  | int | width,
|  | int | height,
|  | void * | _cmpop
| ) |  |

`#include <opencv2/core/hal/hal.hpp>`

## § cmp32f()

void cv::hal::cmp32f | ( | const float * | src1,
|  | size_t | step1,
|  | const float * | src2,
|  | size_t | step2,
|  | uchar * | dst,
|  | size_t | step,
|  | int | width,
|  | int | height,
|  | void * | _cmpop
| ) |  |

`#include <opencv2/core/hal/hal.hpp>`

## § cmp32s()

void cv::hal::cmp32s | ( | const int * | src1,
|  | size_t | step1,
|  | const int * | src2,
|  | size_t | step2,
|  | uchar * | dst,
|  | size_t | step,
|  | int | width,
|  | int | height,
|  | void * | _cmpop
| ) |  |

`#include <opencv2/core/hal/hal.hpp>`

## § cmp64f()

void cv::hal::cmp64f | ( | const double * | src1,
|  | size_t | step1,
|  | const double * | src2,
|  | size_t | step2,
|  | uchar * | dst,
|  | size_t | step,
|  | int | width,
|  | int | height,
|  | void * | _cmpop
| ) |  |

`#include <opencv2/core/hal/hal.hpp>`

## § cmp8s()

void cv::hal::cmp8s | ( | const schar * | src1,
|  | size_t | step1,
|  | const schar * | src2,
|  | size_t | step2,
|  | uchar * | dst,
|  | size_t | step,
|  | int | width,
|  | int | height,
|  | void * | _cmpop
| ) |  |

`#include <opencv2/core/hal/hal.hpp>`

## § cmp8u()

void cv::hal::cmp8u | ( | const uchar * | src1,
|  | size_t | step1,
|  | const uchar * | src2,
|  | size_t | step2,
|  | uchar * | dst,
|  | size_t | step,
|  | int | width,
|  | int | height,
|  | void * | _cmpop
| ) |  |

`#include <opencv2/core/hal/hal.hpp>`

## § div16s()

void cv::hal::div16s | ( | const short * | src1,
|  | size_t | step1,
|  | const short * | src2,
|  | size_t | step2,
|  | short * | dst,
|  | size_t | step,
|  | int | width,
|  | int | height,
|  | void * | scale
| ) |  |

`#include <opencv2/core/hal/hal.hpp>`

## § div16u()

void cv::hal::div16u | ( | const ushort * | src1,
|  | size_t | step1,
|  | const ushort * | src2,
|  | size_t | step2,
|  | ushort * | dst,
|  | size_t | step,
|  | int | width,
|  | int | height,
|  | void * | scale
| ) |  |

`#include <opencv2/core/hal/hal.hpp>`

## § div32f()

void cv::hal::div32f | ( | const float * | src1,
|  | size_t | step1,
|  | const float * | src2,
|  | size_t | step2,
|  | float * | dst,
|  | size_t | step,
|  | int | width,
|  | int | height,
|  | void * | scale
| ) |  |

`#include <opencv2/core/hal/hal.hpp>`

## § div32s()

void cv::hal::div32s | ( | const int * | src1,
|  | size_t | step1,
|  | const int * | src2,
|  | size_t | step2,
|  | int * | dst,
|  | size_t | step,
|  | int | width,
|  | int | height,
|  | void * | scale
| ) |  |

`#include <opencv2/core/hal/hal.hpp>`

## § div64f()

void cv::hal::div64f | ( | const double * | src1,
|  | size_t | step1,
|  | const double * | src2,
|  | size_t | step2,
|  | double * | dst,
|  | size_t | step,
|  | int | width,
|  | int | height,
|  | void * | scale
| ) |  |

`#include <opencv2/core/hal/hal.hpp>`

## § div8s()

void cv::hal::div8s | ( | const schar * | src1,
|  | size_t | step1,
|  | const schar * | src2,
|  | size_t | step2,
|  | schar * | dst,
|  | size_t | step,
|  | int | width,
|  | int | height,
|  | void * | scale
| ) |  |

`#include <opencv2/core/hal/hal.hpp>`

## § div8u()

void cv::hal::div8u | ( | const uchar * | src1,
|  | size_t | step1,
|  | const uchar * | src2,
|  | size_t | step2,
|  | uchar * | dst,
|  | size_t | step,
|  | int | width,
|  | int | height,
|  | void * | scale
| ) |  |

`#include <opencv2/core/hal/hal.hpp>`

## § exp32f()

void cv::hal::exp32f | ( | const float * | src,
|  | float * | dst,
|  | int | n
| ) |  |

`#include <opencv2/core/hal/hal.hpp>`

## § exp64f()

void cv::hal::exp64f | ( | const double * | src,
|  | double * | dst,
|  | int | n
| ) |  |

`#include <opencv2/core/hal/hal.hpp>`

## § fastAtan32f()

void cv::hal::fastAtan32f | ( | const float * | y,
|  | const float * | x,
|  | float * | dst,
|  | int | n,
|  | bool | angleInDegrees
| ) |  |

`#include <opencv2/core/hal/hal.hpp>`

## § fastAtan64f()

void cv::hal::fastAtan64f | ( | const double * | y,
|  | const double * | x,
|  | double * | dst,
|  | int | n,
|  | bool | angleInDegrees
| ) |  |

`#include <opencv2/core/hal/hal.hpp>`

## § gemm32f()

void cv::hal::gemm32f | ( | const float * | src1,
|  | size_t | src1_step,
|  | const float * | src2,
|  | size_t | src2_step,
|  | float | alpha,
|  | const float * | src3,
|  | size_t | src3_step,
|  | float | beta,
|  | float * | dst,
|  | size_t | dst_step,
|  | int | m_a,
|  | int | n_a,
|  | int | n_d,
|  | int | flags
| ) |  |

`#include <opencv2/core/hal/hal.hpp>`

## § gemm32fc()

void cv::hal::gemm32fc | ( | const float * | src1,
|  | size_t | src1_step,
|  | const float * | src2,
|  | size_t | src2_step,
|  | float | alpha,
|  | const float * | src3,
|  | size_t | src3_step,
|  | float | beta,
|  | float * | dst,
|  | size_t | dst_step,
|  | int | m_a,
|  | int | n_a,
|  | int | n_d,
|  | int | flags
| ) |  |

`#include <opencv2/core/hal/hal.hpp>`

## § gemm64f()

void cv::hal::gemm64f | ( | const double * | src1,
|  | size_t | src1_step,
|  | const double * | src2,
|  | size_t | src2_step,
|  | double | alpha,
|  | const double * | src3,
|  | size_t | src3_step,
|  | double | beta,
|  | double * | dst,
|  | size_t | dst_step,
|  | int | m_a,
|  | int | n_a,
|  | int | n_d,
|  | int | flags
| ) |  |

`#include <opencv2/core/hal/hal.hpp>`

## § gemm64fc()

void cv::hal::gemm64fc | ( | const double * | src1,
|  | size_t | src1_step,
|  | const double * | src2,
|  | size_t | src2_step,
|  | double | alpha,
|  | const double * | src3,
|  | size_t | src3_step,
|  | double | beta,
|  | double * | dst,
|  | size_t | dst_step,
|  | int | m_a,
|  | int | n_a,
|  | int | n_d,
|  | int | flags
| ) |  |

`#include <opencv2/core/hal/hal.hpp>`

## § invSqrt32f()

void cv::hal::invSqrt32f | ( | const float * | src,
|  | float * | dst,
|  | int | len
| ) |  |

`#include <opencv2/core/hal/hal.hpp>`

## § invSqrt64f()

void cv::hal::invSqrt64f | ( | const double * | src,
|  | double * | dst,
|  | int | len
| ) |  |

`#include <opencv2/core/hal/hal.hpp>`

## § log32f()

void cv::hal::log32f | ( | const float * | src,
|  | float * | dst,
|  | int | n
| ) |  |

`#include <opencv2/core/hal/hal.hpp>`

## § log64f()

void cv::hal::log64f | ( | const double * | src,
|  | double * | dst,
|  | int | n
| ) |  |

`#include <opencv2/core/hal/hal.hpp>`

## § LU32f()

int cv::hal::LU32f | ( | float * | A,
|  | size_t | astep,
|  | int | m,
|  | float * | b,
|  | size_t | bstep,
|  | int | n
| ) |  |

`#include <opencv2/core/hal/hal.hpp>`

## § LU64f()

int cv::hal::LU64f | ( | double * | A,
|  | size_t | astep,
|  | int | m,
|  | double * | b,
|  | size_t | bstep,
|  | int | n
| ) |  |

`#include <opencv2/core/hal/hal.hpp>`

## § magnitude32f()

void cv::hal::magnitude32f | ( | const float * | x,
|  | const float * | y,
|  | float * | dst,
|  | int | n
| ) |  |

`#include <opencv2/core/hal/hal.hpp>`

## § magnitude64f()

void cv::hal::magnitude64f | ( | const double * | x,
|  | const double * | y,
|  | double * | dst,
|  | int | n
| ) |  |

`#include <opencv2/core/hal/hal.hpp>`

## § max16s()

void cv::hal::max16s | ( | const short * | src1,
|  | size_t | step1,
|  | const short * | src2,
|  | size_t | step2,
|  | short * | dst,
|  | size_t | step,
|  | int | width,
|  | int | height,
|  | void * |
| ) |  |

`#include <opencv2/core/hal/hal.hpp>`

## § max16u()

void cv::hal::max16u | ( | const ushort * | src1,
|  | size_t | step1,
|  | const ushort * | src2,
|  | size_t | step2,
|  | ushort * | dst,
|  | size_t | step,
|  | int | width,
|  | int | height,
|  | void * |
| ) |  |

`#include <opencv2/core/hal/hal.hpp>`

## § max32f()

void cv::hal::max32f | ( | const float * | src1,
|  | size_t | step1,
|  | const float * | src2,
|  | size_t | step2,
|  | float * | dst,
|  | size_t | step,
|  | int | width,
|  | int | height,
|  | void * |
| ) |  |

`#include <opencv2/core/hal/hal.hpp>`

## § max32s()

void cv::hal::max32s | ( | const int * | src1,
|  | size_t | step1,
|  | const int * | src2,
|  | size_t | step2,
|  | int * | dst,
|  | size_t | step,
|  | int | width,
|  | int | height,
|  | void * |
| ) |  |

`#include <opencv2/core/hal/hal.hpp>`

## § max64f()

void cv::hal::max64f | ( | const double * | src1,
|  | size_t | step1,
|  | const double * | src2,
|  | size_t | step2,
|  | double * | dst,
|  | size_t | step,
|  | int | width,
|  | int | height,
|  | void * |
| ) |  |

`#include <opencv2/core/hal/hal.hpp>`

## § max8s()

void cv::hal::max8s | ( | const schar * | src1,
|  | size_t | step1,
|  | const schar * | src2,
|  | size_t | step2,
|  | schar * | dst,
|  | size_t | step,
|  | int | width,
|  | int | height,
|  | void * |
| ) |  |

`#include <opencv2/core/hal/hal.hpp>`

## § max8u()

void cv::hal::max8u | ( | const uchar * | src1,
|  | size_t | step1,
|  | const uchar * | src2,
|  | size_t | step2,
|  | uchar * | dst,
|  | size_t | step,
|  | int | width,
|  | int | height,
|  | void * |
| ) |  |

`#include <opencv2/core/hal/hal.hpp>`

## § merge16u()

void cv::hal::merge16u | ( | const ushort ** | src,
|  | ushort * | dst,
|  | int | len,
|  | int | cn
| ) |  |

`#include <opencv2/core/hal/hal.hpp>`

## § merge32s()

void cv::hal::merge32s | ( | const int ** | src,
|  | int * | dst,
|  | int | len,
|  | int | cn
| ) |  |

`#include <opencv2/core/hal/hal.hpp>`

## § merge64s()

void cv::hal::merge64s | ( | const int64 ** | src,
|  | int64 * | dst,
|  | int | len,
|  | int | cn
| ) |  |

`#include <opencv2/core/hal/hal.hpp>`

## § merge8u()

void cv::hal::merge8u | ( | const uchar ** | src,
|  | uchar * | dst,
|  | int | len,
|  | int | cn
| ) |  |

`#include <opencv2/core/hal/hal.hpp>`

## § min16s()

void cv::hal::min16s | ( | const short * | src1,
|  | size_t | step1,
|  | const short * | src2,
|  | size_t | step2,
|  | short * | dst,
|  | size_t | step,
|  | int | width,
|  | int | height,
|  | void * |
| ) |  |

`#include <opencv2/core/hal/hal.hpp>`

## § min16u()

void cv::hal::min16u | ( | const ushort * | src1,
|  | size_t | step1,
|  | const ushort * | src2,
|  | size_t | step2,
|  | ushort * | dst,
|  | size_t | step,
|  | int | width,
|  | int | height,
|  | void * |
| ) |  |

`#include <opencv2/core/hal/hal.hpp>`

## § min32f()

void cv::hal::min32f | ( | const float * | src1,
|  | size_t | step1,
|  | const float * | src2,
|  | size_t | step2,
|  | float * | dst,
|  | size_t | step,
|  | int | width,
|  | int | height,
|  | void * |
| ) |  |

`#include <opencv2/core/hal/hal.hpp>`

## § min32s()

void cv::hal::min32s | ( | const int * | src1,
|  | size_t | step1,
|  | const int * | src2,
|  | size_t | step2,
|  | int * | dst,
|  | size_t | step,
|  | int | width,
|  | int | height,
|  | void * |
| ) |  |

`#include <opencv2/core/hal/hal.hpp>`

## § min64f()

void cv::hal::min64f | ( | const double * | src1,
|  | size_t | step1,
|  | const double * | src2,
|  | size_t | step2,
|  | double * | dst,
|  | size_t | step,
|  | int | width,
|  | int | height,
|  | void * |
| ) |  |

`#include <opencv2/core/hal/hal.hpp>`

## § min8s()

void cv::hal::min8s | ( | const schar * | src1,
|  | size_t | step1,
|  | const schar * | src2,
|  | size_t | step2,
|  | schar * | dst,
|  | size_t | step,
|  | int | width,
|  | int | height,
|  | void * |
| ) |  |

`#include <opencv2/core/hal/hal.hpp>`

## § min8u()

void cv::hal::min8u | ( | const uchar * | src1,
|  | size_t | step1,
|  | const uchar * | src2,
|  | size_t | step2,
|  | uchar * | dst,
|  | size_t | step,
|  | int | width,
|  | int | height,
|  | void * |
| ) |  |

`#include <opencv2/core/hal/hal.hpp>`

## § mul16s()

void cv::hal::mul16s | ( | const short * | src1,
|  | size_t | step1,
|  | const short * | src2,
|  | size_t | step2,
|  | short * | dst,
|  | size_t | step,
|  | int | width,
|  | int | height,
|  | void * | scale
| ) |  |

`#include <opencv2/core/hal/hal.hpp>`

## § mul16u()

void cv::hal::mul16u | ( | const ushort * | src1,
|  | size_t | step1,
|  | const ushort * | src2,
|  | size_t | step2,
|  | ushort * | dst,
|  | size_t | step,
|  | int | width,
|  | int | height,
|  | void * | scale
| ) |  |

`#include <opencv2/core/hal/hal.hpp>`

## § mul32f()

void cv::hal::mul32f | ( | const float * | src1,
|  | size_t | step1,
|  | const float * | src2,
|  | size_t | step2,
|  | float * | dst,
|  | size_t | step,
|  | int | width,
|  | int | height,
|  | void * | scale
| ) |  |

`#include <opencv2/core/hal/hal.hpp>`

## § mul32s()

void cv::hal::mul32s | ( | const int * | src1,
|  | size_t | step1,
|  | const int * | src2,
|  | size_t | step2,
|  | int * | dst,
|  | size_t | step,
|  | int | width,
|  | int | height,
|  | void * | scale
| ) |  |

`#include <opencv2/core/hal/hal.hpp>`

## § mul64f()

void cv::hal::mul64f | ( | const double * | src1,
|  | size_t | step1,
|  | const double * | src2,
|  | size_t | step2,
|  | double * | dst,
|  | size_t | step,
|  | int | width,
|  | int | height,
|  | void * | scale
| ) |  |

`#include <opencv2/core/hal/hal.hpp>`

## § mul8s()

void cv::hal::mul8s | ( | const schar * | src1,
|  | size_t | step1,
|  | const schar * | src2,
|  | size_t | step2,
|  | schar * | dst,
|  | size_t | step,
|  | int | width,
|  | int | height,
|  | void * | scale
| ) |  |

`#include <opencv2/core/hal/hal.hpp>`

## § mul8u()

void cv::hal::mul8u | ( | const uchar * | src1,
|  | size_t | step1,
|  | const uchar * | src2,
|  | size_t | step2,
|  | uchar * | dst,
|  | size_t | step,
|  | int | width,
|  | int | height,
|  | void * | scale
| ) |  |

`#include <opencv2/core/hal/hal.hpp>`

## § normHamming() [1/4]

int cv::hal::normHamming | ( | const uchar * | a,
|  | int | n
| ) |  |

`#include <opencv2/core/hal/hal.hpp>`

## § normHamming() [2/4]

int cv::hal::normHamming | ( | const uchar * | a,
|  | const uchar * | b,
|  | int | n
| ) |  |

`#include <opencv2/core/hal/hal.hpp>`

## § normHamming() [3/4]

int cv::hal::normHamming | ( | const uchar * | a,
|  | int | n,
|  | int | cellSize
| ) |  |

`#include <opencv2/core/hal/hal.hpp>`

## § normHamming() [4/4]

int cv::hal::normHamming | ( | const uchar * | a,
|  | const uchar * | b,
|  | int | n,
|  | int | cellSize
| ) |  |

`#include <opencv2/core/hal/hal.hpp>`

## § normL1_() [1/2]

int cv::hal::normL1_ | ( | const uchar * | a,
|  | const uchar * | b,
|  | int | n
| ) |  |

`#include <opencv2/core/hal/hal.hpp>`

## § normL1_() [2/2]

float cv::hal::normL1_ | ( | const float * | a,
|  | const float * | b,
|  | int | n
| ) |  |

`#include <opencv2/core/hal/hal.hpp>`

## § normL2Sqr_()

float cv::hal::normL2Sqr_ | ( | const float * | a,
|  | const float * | b,
|  | int | n
| ) |  |

`#include <opencv2/core/hal/hal.hpp>`

## § not8u()

void cv::hal::not8u | ( | const uchar * | src1,
|  | size_t | step1,
|  | const uchar * | src2,
|  | size_t | step2,
|  | uchar * | dst,
|  | size_t | step,
|  | int | width,
|  | int | height,
|  | void * |
| ) |  |

`#include <opencv2/core/hal/hal.hpp>`

## § or8u()

void cv::hal::or8u | ( | const uchar * | src1,
|  | size_t | step1,
|  | const uchar * | src2,
|  | size_t | step2,
|  | uchar * | dst,
|  | size_t | step,
|  | int | width,
|  | int | height,
|  | void * |
| ) |  |

`#include <opencv2/core/hal/hal.hpp>`

## § QR32f()

int cv::hal::QR32f | ( | float * | A,
|  | size_t | astep,
|  | int | m,
|  | int | n,
|  | int | k,
|  | float * | b,
|  | size_t | bstep,
|  | float * | hFactors
| ) |  |

`#include <opencv2/core/hal/hal.hpp>`

## § QR64f()

int cv::hal::QR64f | ( | double * | A,
|  | size_t | astep,
|  | int | m,
|  | int | n,
|  | int | k,
|  | double * | b,
|  | size_t | bstep,
|  | double * | hFactors
| ) |  |

`#include <opencv2/core/hal/hal.hpp>`

## § recip16s()

void cv::hal::recip16s | ( | const short * | ,
|  | size_t | ,
|  | const short * | src2,
|  | size_t | step2,
|  | short * | dst,
|  | size_t | step,
|  | int | width,
|  | int | height,
|  | void * | scale
| ) |  |

`#include <opencv2/core/hal/hal.hpp>`

## § recip16u()

void cv::hal::recip16u | ( | const ushort * | ,
|  | size_t | ,
|  | const ushort * | src2,
|  | size_t | step2,
|  | ushort * | dst,
|  | size_t | step,
|  | int | width,
|  | int | height,
|  | void * | scale
| ) |  |

`#include <opencv2/core/hal/hal.hpp>`

## § recip32f()

void cv::hal::recip32f | ( | const float * | ,
|  | size_t | ,
|  | const float * | src2,
|  | size_t | step2,
|  | float * | dst,
|  | size_t | step,
|  | int | width,
|  | int | height,
|  | void * | scale
| ) |  |

`#include <opencv2/core/hal/hal.hpp>`

## § recip32s()

void cv::hal::recip32s | ( | const int * | ,
|  | size_t | ,
|  | const int * | src2,
|  | size_t | step2,
|  | int * | dst,
|  | size_t | step,
|  | int | width,
|  | int | height,
|  | void * | scale
| ) |  |

`#include <opencv2/core/hal/hal.hpp>`

## § recip64f()

void cv::hal::recip64f | ( | const double * | ,
|  | size_t | ,
|  | const double * | src2,
|  | size_t | step2,
|  | double * | dst,
|  | size_t | step,
|  | int | width,
|  | int | height,
|  | void * | scale
| ) |  |

`#include <opencv2/core/hal/hal.hpp>`

## § recip8s()

void cv::hal::recip8s | ( | const schar * | ,
|  | size_t | ,
|  | const schar * | src2,
|  | size_t | step2,
|  | schar * | dst,
|  | size_t | step,
|  | int | width,
|  | int | height,
|  | void * | scale
| ) |  |

`#include <opencv2/core/hal/hal.hpp>`

## § recip8u()

void cv::hal::recip8u | ( | const uchar * | ,
|  | size_t | ,
|  | const uchar * | src2,
|  | size_t | step2,
|  | uchar * | dst,
|  | size_t | step,
|  | int | width,
|  | int | height,
|  | void * | scale
| ) |  |

`#include <opencv2/core/hal/hal.hpp>`

## § split16u()

void cv::hal::split16u | ( | const ushort * | src,
|  | ushort ** | dst,
|  | int | len,
|  | int | cn
| ) |  |

`#include <opencv2/core/hal/hal.hpp>`

## § split32s()

void cv::hal::split32s | ( | const int * | src,
|  | int ** | dst,
|  | int | len,
|  | int | cn
| ) |  |

`#include <opencv2/core/hal/hal.hpp>`

## § split64s()

void cv::hal::split64s | ( | const int64 * | src,
|  | int64 ** | dst,
|  | int | len,
|  | int | cn
| ) |  |

`#include <opencv2/core/hal/hal.hpp>`

## § split8u()

void cv::hal::split8u | ( | const uchar * | src,
|  | uchar ** | dst,
|  | int | len,
|  | int | cn
| ) |  |

`#include <opencv2/core/hal/hal.hpp>`

## § sqrt32f()

void cv::hal::sqrt32f | ( | const float * | src,
|  | float * | dst,
|  | int | len
| ) |  |

`#include <opencv2/core/hal/hal.hpp>`

## § sqrt64f()

void cv::hal::sqrt64f | ( | const double * | src,
|  | double * | dst,
|  | int | len
| ) |  |

`#include <opencv2/core/hal/hal.hpp>`

## § sub16s()

void cv::hal::sub16s | ( | const short * | src1,
|  | size_t | step1,
|  | const short * | src2,
|  | size_t | step2,
|  | short * | dst,
|  | size_t | step,
|  | int | width,
|  | int | height,
|  | void * |
| ) |  |

`#include <opencv2/core/hal/hal.hpp>`

## § sub16u()

void cv::hal::sub16u | ( | const ushort * | src1,
|  | size_t | step1,
|  | const ushort * | src2,
|  | size_t | step2,
|  | ushort * | dst,
|  | size_t | step,
|  | int | width,
|  | int | height,
|  | void * |
| ) |  |

`#include <opencv2/core/hal/hal.hpp>`

## § sub32f()

void cv::hal::sub32f | ( | const float * | src1,
|  | size_t | step1,
|  | const float * | src2,
|  | size_t | step2,
|  | float * | dst,
|  | size_t | step,
|  | int | width,
|  | int | height,
|  | void * |
| ) |  |

`#include <opencv2/core/hal/hal.hpp>`

## § sub32s()

void cv::hal::sub32s | ( | const int * | src1,
|  | size_t | step1,
|  | const int * | src2,
|  | size_t | step2,
|  | int * | dst,
|  | size_t | step,
|  | int | width,
|  | int | height,
|  | void * |
| ) |  |

`#include <opencv2/core/hal/hal.hpp>`

## § sub64f()

void cv::hal::sub64f | ( | const double * | src1,
|  | size_t | step1,
|  | const double * | src2,
|  | size_t | step2,
|  | double * | dst,
|  | size_t | step,
|  | int | width,
|  | int | height,
|  | void * |
| ) |  |

`#include <opencv2/core/hal/hal.hpp>`

## § sub8s()

void cv::hal::sub8s | ( | const schar * | src1,
|  | size_t | step1,
|  | const schar * | src2,
|  | size_t | step2,
|  | schar * | dst,
|  | size_t | step,
|  | int | width,
|  | int | height,
|  | void * |
| ) |  |

`#include <opencv2/core/hal/hal.hpp>`

## § sub8u()

void cv::hal::sub8u | ( | const uchar * | src1,
|  | size_t | step1,
|  | const uchar * | src2,
|  | size_t | step2,
|  | uchar * | dst,
|  | size_t | step,
|  | int | width,
|  | int | height,
|  | void * |
| ) |  |

`#include <opencv2/core/hal/hal.hpp>`

## § SVD32f()

void cv::hal::SVD32f | ( | float * | At,
|  | size_t | astep,
|  | float * | W,
|  | float * | U,
|  | size_t | ustep,
|  | float * | Vt,
|  | size_t | vstep,
|  | int | m,
|  | int | n,
|  | int | flags
| ) |  |

`#include <opencv2/core/hal/hal.hpp>`

## § SVD64f()

void cv::hal::SVD64f | ( | double * | At,
|  | size_t | astep,
|  | double * | W,
|  | double * | U,
|  | size_t | ustep,
|  | double * | Vt,
|  | size_t | vstep,
|  | int | m,
|  | int | n,
|  | int | flags
| ) |  |

`#include <opencv2/core/hal/hal.hpp>`

## § xor8u()

void cv::hal::xor8u | ( | const uchar * | src1,
|  | size_t | step1,
|  | const uchar * | src2,
|  | size_t | step2,
|  | uchar * | dst,
|  | size_t | step,
|  | int | width,
|  | int | height,
|  | void * |
| ) |  |

`#include <opencv2/core/hal/hal.hpp>`